Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.net
Class SocketPacketWriteHandler

    java.lang.Object
      org.jivesoftware.openfire.net.SocketPacketWriteHandler

All Implemented Interfaces:
  ChannelHandler

    public class SocketPacketWriteHandler

extends Object
implements ChannelHandler

This ChannelHandler writes packet data to connections.

Author:
  Iain Shigeoka
See Also:
  `PacketRouter`

Constructor Summary
`SocketPacketWriteHandler(RoutingTable routingTable)`

Method Summary
`void` | `process(Packet packet)` Process an XMPP packet.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SocketPacketWriteHandler

    public SocketPacketWriteHandler(RoutingTable routingTable)

Method Detail

### process

    public void process(Packet packet)
                 throws UnauthorizedException,
                        PacketException

  Description copied from interface: `ChannelHandler`
  Process an XMPP packet.

  Specified by:
    `process` in interface `ChannelHandler`
  Parameters:
    `packet` - a packet to process.
  Throws:
    `UnauthorizedException` - if not allowed to process the packet.
    `PacketException` - thrown if the packet is malformed (results in the sender's session being shutdown).

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.